# F2F Transactions

F2F transactions are used when the goods are delivered in person.

 - [GET /api/v1/p2p/batch/transactions](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.gettransactionsbyids.md): This endpoint takes a required `ids` parameter that contains a comma-separated list of transaction IDs, and returns the transactions corresponding to those IDs. A maximum of 50 IDs may be provided, an
 - [GET /api/v1/p2p/me/transactions](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.gettransactions.md): Transactions are currently sorted by ID.
 - [POST /api/v1/p2p/me/transactions](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.createtransaction.md): Note that this endpoint is similar to `POST /me/transactions` but takes `deposit_price` and `deposit_charge` fields instead of the `price` and `charge` fields. Offline access is allowed for this endpo
 - [POST /api/v1/p2p/me/transactions/create_and_join](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.createandjointransaction.md): This endpoint is an optimised call that allows a transaction to be created and joined in a single request. It requires the user identified by `join_user_id` to have granted the `p2p_tx:offline_create_
 - [POST /api/v1/p2p/me/transactions/create_with_guest_user](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.createtransactionwithguestuser.md): This endpoint is an optimised call that allows a transaction to be created and joined in a single request. It requires the online user to have granted the `p2p_tx:offline_create_join` scope to the cli
 - [GET /api/v1/p2p/transactions/{transaction_id}](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.gettransaction.md)
 - [GET /api/v1/p2p/transactions/{transaction_id}/charge](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.getchargefortransaction.md): This returns the Trustap fee, in the `currency`'s smallest unit, for a transaction involving goods with the supplied `price`. See [the Stripe documentation](https://stripe.com/docs/currencies#zero-dec
 - [POST /api/v1/p2p/transactions/{transaction_id}/claim_for_buyer](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.claimtransactionforbuyer.md): This endpoint enables a client to claim a face-to-face transaction on behalf of a buyer. This endpoint is only accessible for a client.
 - [POST /api/v1/p2p/transactions/{transaction_id}/claim_for_seller](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.claimtransactionforseller.md): This endpoint enables a client to claim a face-to-face transaction on behalf of a seller. This endpoint is only accessible for a client.
 - [POST /api/v1/p2p/transactions/{transaction_id}/join_with_guest](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.joinwithguest.md)
 - [GET /api/v1/p2p/transactions/{transaction_id}/metadata](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.gettransactionmetadata.md): DEPRECATED Metadata is now always included in the transaction object returned by `GET /api/v1/p2p/transactions/{transaction_id}`.
 - [POST /api/v1/p2p/transactions/{transaction_id}/metadata](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.settransactionmetadata.md)
 - [POST /api/v1/p2p/transactions_by_claim_secret/{secret}/claim_as_buyer](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.claimasbuyer.md): This endpoint allows a full user to claim a transaction as buyer given a claim secret.
 - [POST /api/v1/p2p/transactions_by_claim_secret/{secret}/claim_as_seller](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.claimtransactionasseller.md): This endpoint allows a full user to claim a transaction as seller given a claim secret.
 - [GET /api/v1/p2p/transactions_by_join_code/{join_code}](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.gettransactionbyjoincode.md)
 - [POST /api/v1/p2p/transactions_by_join_code/{join_code}/join](https://docs.trustap.com/apis/v1.0/openapi/f2f-transactions/p2p.jointransactionbyjoincode.md): This endpoint allows a user to join a transaction provided a join code. Offline access is allowed for this endpoint when the user has granted the `p2p_tx:offline_create_join` scope to the client that
